## GstRtphdrext GstRtphdrext — Helper methods for dealing with RTP header extensions |

## Functions

gboolean | gst_rtp_hdrext_get_ntp_56 ()
gboolean | gst_rtp_hdrext_get_ntp_64 ()
gboolean | gst_rtp_hdrext_set_ntp_56 ()
gboolean | gst_rtp_hdrext_set_ntp_64 ()

## Types and Values

#define | GST_RTP_HDREXT_BASE
#define | GST_RTP_HDREXT_NTP_56
#define | GST_RTP_HDREXT_NTP_56_SIZE
#define | GST_RTP_HDREXT_NTP_64
#define | GST_RTP_HDREXT_NTP_64_SIZE

## Includes

    #include <gst/rtp/rtp.h>

## Description

## Functions

### gst_rtp_hdrext_get_ntp_56 ()

    gboolean
    gst_rtp_hdrext_get_ntp_56 (gpointer data,
                               guint size,
                               guint64 *ntptime);

Reads the NTP time from the `size` NTP-56 extension bytes in `data` and store the result in `ntptime` .

#### Parameters

data | the data to read from. | [array length=size][element-type guint8]
size | the size of `data` |
ntptime | the result NTP time. | [out]

#### Returns

`TRUE` on success.

### gst_rtp_hdrext_get_ntp_64 ()

    gboolean
    gst_rtp_hdrext_get_ntp_64 (gpointer data,
                               guint size,
                               guint64 *ntptime);

Reads the NTP time from the `size` NTP-64 extension bytes in `data` and store the result in `ntptime` .

#### Parameters

data | the data to read from. | [array length=size][element-type guint8]
size | the size of `data` |
ntptime | the result NTP time. | [out]

#### Returns

`TRUE` on success.

### gst_rtp_hdrext_set_ntp_56 ()

    gboolean
    gst_rtp_hdrext_set_ntp_56 (gpointer data,
                               guint size,
                               guint64 ntptime);

Writes the NTP time in `ntptime` to the format required for the NTP-56 header extension. `data` must hold at least GST_RTP_HDREXT_NTP_56_SIZE bytes.

#### Parameters

data | the data to write to |
size | the size of `data` |
ntptime | the NTP time |

#### Returns

`TRUE` on success.

### gst_rtp_hdrext_set_ntp_64 ()

    gboolean
    gst_rtp_hdrext_set_ntp_64 (gpointer data,
                               guint size,
                               guint64 ntptime);

Writes the NTP time in `ntptime` to the format required for the NTP-64 header extension. `data` must hold at least GST_RTP_HDREXT_NTP_64_SIZE bytes.

#### Parameters

data | the data to write to |
size | the size of `data` |
ntptime | the NTP time |

#### Returns

`TRUE` on success.

## Types and Values

### GST_RTP_HDREXT_BASE

    #define GST_RTP_HDREXT_BASE "urn:ietf:params:rtp-hdrext:"

### GST_RTP_HDREXT_NTP_56

    #define GST_RTP_HDREXT_NTP_56 "ntp-56"

### GST_RTP_HDREXT_NTP_56_SIZE

    #define GST_RTP_HDREXT_NTP_56_SIZE 7

### GST_RTP_HDREXT_NTP_64

    #define GST_RTP_HDREXT_NTP_64 "ntp-64"

### GST_RTP_HDREXT_NTP_64_SIZE

    #define GST_RTP_HDREXT_NTP_64_SIZE 8

## See Also

GstRTPBasePayload, GstRTPBaseDepayload, gstrtpbuffer